# Generated from libcleansocks.spec.in.  Edit that instead.
%define major 1
%define minor 2
Summary: A cleaner socket-like networking interface for C++.
Name: libcleansocks
Version: %{major}.%{minor}
Release: 1%{dist}
License: GPLv3
Group: Development/Libraries
URL: http://sandbox.mc.edu/~bennet/cleansocks
Source0: cleansocks-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

AutoReq: no

%description
Cleansocks provides a cleaner C++ interface to the standard socket facility.
It is designed to operate using the same structures as procedures as standard
sockets, but using the C++ type system to make it cleaner.

%prep
%setup -n cleansocks-%{version}

%build
%define archctl MACH=-m64
%ifarch i386
%define archctl MACH=-m32
%endif
%ifarch i686
%define archctl MACH=-m32
%endif
make %{archctl}

%install
make INCL=%{buildroot}%{_includedir} LIB=%{buildroot}%{_libdir} DOC=%{buildroot}%{_docdir} LDCONFIG= install
chmod +x %{buildroot}%{_libdir}/libcleansocks.so.%{version} 
chmod +x %{buildroot}%{_libdir}/libcleantlsc.so.%{version} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libcleansocks.so
%{_libdir}/libcleansocks.so.%{major}
%attr(644,-,-) %{_libdir}/libcleansocks.so.%{major}.%{minor}
%{_includedir}/cleansri.h
%{_includedir}/cleanversion.h
%{_includedir}/cleanbuf.h
%{_includedir}/cleanip.h
%{_includedir}/cleansocks.h
%{_includedir}/cleanflags.h
%{_includedir}/cleansrf2sr.h
%{_docdir}/README
%{_docdir}/COPYING
%{_docdir}/COPYING.LESSER
%{_docdir}/SOCKETTYPES

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%package -n libcleantlsc
Summary: Simple TLS client support for the cleansocks C++ networking library.
BuildRequires: openssl-devel perl-interpreter
%define osslversion %(rpm -q openssl-devel | cut -d - -f 3 | cut -d . -f 1-2)
%if "%osslversion" < "1" || "%osslversion" == "1.0"
requires: openssl < 1:1.1
%else
requires: openssl >= 1:1.1
%endif
requires: openssl-devel
requires: ca-certificates
%description -n libcleantlsc
This package extends the Cleansocks socket library providing an object which
implements a simple TLS client socket.  The openSSL library does all the hard
work.

%files -n libcleantlsc
%defattr(-,root,root,-)
%{_libdir}/libcleantlsc.so
%{_libdir}/libcleantlsc.so.%{major}
%attr(644,-,-) %{_libdir}/libcleantlsc.so.%{major}.%{minor}
%{_includedir}/cleantlsc.h

%post -n libcleantlsc
/sbin/ldconfig

%postun -n libcleantlsc
/sbin/ldconfig

%changelog
* Thu Jan 28 2021 Tom bennet <bennet@mc.edu> -
- Require ssl-devel for cleantlsc.  Needed to actually use the package.
* Thu Dec 3 2020 Tom bennet <bennet@mc.edu> -
- New minor version.  Corrects hanging bug in buffered socket.  
* Wed Dec 26 2018 Tom bennet <bennet@mc.edu> -
- Corrected documentation install path error.
- Changed %files to install doc files correctly.
* Fri Sep 7 2018 Tom bennet <bennet@mc.edu> -
- Add COPYING.LESSER.  
- Added %{dist}
- Fixed up dependence on openssl version.
* Tue Jan 9 2018 Tom bennet <bennet@mc.edu> - 
- Add cleanflags.h to install list.
* Fri Jan 23 2015 Tom bennet <bennet@mc.edu> - 
- Adapt for second release version, including cleantlsc subpackage.
* Fri Jan 18 2013 Tom bennet <bennet@mc.edu> - 
- Initial build.
